from .c_db import UPostgresDB
import json

TABLE_USER = """
DROP TABLE IF EXISTS "c_user";
CREATE TABLE c_user (
    user_id varchar(1000) PRIMARY KEY,
    account varchar(20) NOT NULL,
    password varchar(50) NOT NULL
);
COMMENT ON COLUMN "c_user"."user_id" IS '用户id';
COMMENT ON COLUMN "c_user"."account" IS '用户帐户';
COMMENT ON COLUMN "c_user"."password" IS '用户密码';
COMMENT ON TABLE "c_user" IS '用户表';
"""


class CUser:
    def __init__(self, db: UPostgresDB) -> None:
        self.db = db

    def insert(self, value):
        query = f"INSERT INTO c_user(user_id, account, password) VALUES (%s,%s,%s)"
        self.db.execute_args(query, (value[0], value[1], value[2]))

    def create_table(self):
        query = TABLE_USER
        self.db.execute(query)
